libnvme(2)

NAME
enum nvme_io_dsm_flags - Dataset Management flags

SYNOPSIS
enum nvme_io_dsm_flags {
NVME_IO_DSM_FREQ_UNSPEC ,
NVME_IO_DSM_FREQ_TYPICAL ,
NVME_IO_DSM_FREQ_RARE ,
NVME_IO_DSM_FREQ_READS ,
NVME_IO_DSM_FREQ_WRITES ,
NVME_IO_DSM_FREQ_RW ,
NVME_IO_DSM_FREQ_ONCE ,
NVME_IO_DSM_FREQ_PREFETCH ,
NVME_IO_DSM_FREQ_TEMP ,
NVME_IO_DSM_LATENCY_NONE ,
NVME_IO_DSM_LATENCY_IDLE ,
NVME_IO_DSM_LATENCY_NORM ,
NVME_IO_DSM_LATENCY_LOW ,
NVME_IO_DSM_SEQ_REQ ,
NVME_IO_DSM_COMPRESSED

};

Constants

NVME_IO_DSM_FREQ_UNSPEC
    No frequency information provided

NVME_IO_DSM_FREQ_TYPICAL
    Typical number of reads and writes expected for this LBA range

NVME_IO_DSM_FREQ_RARE
    Infrequent writes and infrequent reads to the LBA range indicated

NVME_IO_DSM_FREQ_READS
    Infrequent writes and frequent reads to the LBA range indicated

NVME_IO_DSM_FREQ_WRITES
    Frequent writes and infrequent reads to the LBA range indicated

NVME_IO_DSM_FREQ_RW
    Frequent writes and frequent reads to the LBA range indicated

NVME_IO_DSM_FREQ_ONCE

NVME_IO_DSM_FREQ_PREFETCH

NVME_IO_DSM_FREQ_TEMP

NVME_IO_DSM_LATENCY_NONE
    No latency information provided

NVME_IO_DSM_LATENCY_IDLE
    Longer latency acceptable

NVME_IO_DSM_LATENCY_NORM
    Typical latency

NVME_IO_DSM_LATENCY_LOW
    Smallest possible latency

NVME_IO_DSM_SEQ_REQ

NVME_IO_DSM_COMPRESSED